CreateIntegration
Creates a new integration with a third-party provider, such as GitHub, for code review and remediation.
Request Syntax
POST /CreateIntegration HTTP/1.1
Content-type: application/json
{
"input": { ... },
"integrationDisplayName": "string",
"kmsKeyId": "string",
"provider": "string",
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- input
-
The provider-specific input required to create the integration.
Type: ProviderInput object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: Yes
- integrationDisplayName
-
The display name for the integration.
Type: String
Required: Yes
- kmsKeyId
-
The identifier of the AWS KMS key to use for encrypting data associated with the integration.
Type: String
Required: No
- provider
-
The integration provider. Currently, only GITHUB is supported.
Type: String
Valid Values:
GITHUBRequired: Yes
-
The tags to associate with the integration.
Type: String to string map
Required: No
Response Syntax
HTTP/1.1 201
Content-type: application/json
{
"integrationId": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 201 response.
The following data is returned in JSON format by the service.
- integrationId
-
The unique identifier of the created integration.
Type: String
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request could not be completed due to a conflict with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
An unexpected error occurred during the processing of your request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource was not found. Verify that the resource identifier is correct and that the resource exists in the specified agent space or account.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: